#
# spec file for package python-pytest-mock
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oldpython python
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         modname pytest-mock
%bcond_without python2
Name:           python-%{modname}
Version:        1.6.3
Release:        lp151.3.2
Summary:        Thin-wrapper around the mock package for easier use with pytest
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/pytest-dev/%{modname}
Source:         https://files.pythonhosted.org/packages/source/p/pytest-mock/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest
BuildArch:      noarch
%if %{with python2}
BuildRequires:  %{oldpython}-mock
%endif
%ifpython2
Requires:       %{oldpython}-mock
%else
Recommends:     python-mock
%endif
%python_subpackages

%description
This plugin installs a ``mocker`` fixture which is a thin-wrapper around the patching API
provided by the `mock` package,
but with the benefit of not having to worry about undoing patches at the end
of a test

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_version} test_pytest_mock.py
%python_expand rm -rf %{buildroot}%{$python_sitelib}/__pycache__

%files %{python_files}
%doc CHANGELOG.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Jan 11 2018 tchvatal@suse.com
- Fix building with python3 only available
- Install properly license file/etc
* Wed Oct 11 2017 mpluskal@suse.com
- Update to version 1.6.3:
  * Fix UnicodeDecodeError during assert introspection in
    assert_called_with in Python 2.
  * Provide source package in tar.gz format and remove obsolete
    MANIFEST.in.
  * Fix mocker.resetall() by ignoring mocker objects which don't
    have a resetall method, like for example patch.dict
* Fri Aug 11 2017 tbechtold@suse.com
- Remove python-virtualenv BuildRequires and simplify test
  execution
* Wed Apr  5 2017 jmatejek@suse.com
- update to 1.6.0
  * original assertions now appear in failure message
- shorten summary
- add requirements on mock and pytest
- enable tests
* Thu Mar  9 2017 okurz@suse.com
- Initial singlespec submission
